SELECT
  visit.pid,
	max(visit.visitdate) as 'วันที่มารับบริการครั้งสุดท้าย',
  persondeath.deaddate as 'วันที่ตาย'
FROM
	visit
INNER JOIN persondeath ON visit.pid = persondeath.pid
AND persondeath.pcucodeperson=visit.pcucodeperson

where  visit.visitdate >persondeath.deaddate
group by pid;
